aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/condstore/t2
-rw-r--r--tests/pullimap/t2
-rwxr-xr-xtests/run8
-rw-r--r--tests/sync-live-multi/t2
-rw-r--r--tests/sync-live/t2
5 files changed, 9 insertions, 7 deletions
diff --git a/tests/condstore/t b/tests/condstore/t
index d4da50f..1963b2b 100644
--- a/tests/condstore/t
+++ b/tests/condstore/t
@@ -31,7 +31,7 @@ while [ $(date +%s) -le $timer ]; do
doveadm -u "$u" flags "$a" "$f" mailbox "INBOX" "${seqs//$'\n'/,}"
sleep "0.0$(shuf -n1 -i10-99)" # 10 to 99ms
done
-sleep 2
+sleep 5
ptree_abort $PID
trap - EXIT INT TERM
diff --git a/tests/pullimap/t b/tests/pullimap/t
index 79da3e0..115432d 100644
--- a/tests/pullimap/t
+++ b/tests/pullimap/t
@@ -123,7 +123,7 @@ while [ $(date +%s) -le $timer ]; do
sleep "$s"
done
-sleep 2
+sleep 5
ptree_abort $PID
trap - EXIT INT TERM
diff --git a/tests/run b/tests/run
index a34e4a9..4aa0685 100755
--- a/tests/run
+++ b/tests/run
@@ -202,11 +202,13 @@ prepare
interimap() { _interimap_cmd "interimap" "$@"; }
pullimap() { _interimap_cmd "pullimap" "$@"; }
_interimap_cmd() {
- declare -a ENVIRON=() r=0
- local script="$1"
+ declare -a ENVIRON=()
+ local script="$1" rv=0
shift
environ_set "local"
- env -i "${ENVIRON[@]}" perl -I./lib -T "./$script" "$@" 2> >(tee "$STDERR" >&2)
+ env -i "${ENVIRON[@]}" perl -I./lib -T "./$script" "$@" 2>"$STDERR" || rv=$?
+ cat <"$STDERR" >&2
+ return $rv
}
interimap_init() {
local u="${1-remote}"
diff --git a/tests/sync-live-multi/t b/tests/sync-live-multi/t
index 9b129ec..ba7f326 100644
--- a/tests/sync-live-multi/t
+++ b/tests/sync-live-multi/t
@@ -96,7 +96,7 @@ done
# wait a little longer so interimap has time to run loop() again and
# synchronize outstanding changes, then terminate the processes we
# started above
-sleep 2
+sleep 5
ptree_abort ${PID[@]}
trap - EXIT INT TERM
diff --git a/tests/sync-live/t b/tests/sync-live/t
index 19d1e08..5f5b291 100644
--- a/tests/sync-live/t
+++ b/tests/sync-live/t
@@ -65,7 +65,7 @@ done
# wait a little longer so interimap has time to run loop() again and
# synchronize outstanding changes, then terminate the process we started
# above
-sleep 2
+sleep 5
ptree_abort $PID
trap - EXIT INT TERM